=== debian/changelog ===
circuit-macros (9.1.2-1) unstable; urgency=medium

  * New upstream version.
  * Add full LPPL text to d/copyright as asked by FTP Master.
  * Update Debian Standards from 4.4.0 to 4.4.1.
  * Set "Rules-Requires-Root" to "no" in d/control.

 -- Aniol Marti <amarti@caliu.cat>  Fri, 29 Nov 2019 20:35:54 +0000

circuit-macros (9.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #923664)

 -- Aniol Marti <amarti@caliu.cat>  Sun, 08 Sep 2019 10:26:13 +0000
