=== examples/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 LIBDIR = ..
 
 # The dpic processor:
-PIC = dpic
+PIC = dpic -p
 #PIC = $$HOME/dpic/bu*/p2c/ftp/dpic -p
 #PIC = /cygdrive/d/Dwight/dpic/p2c/Windows/dpic -p
 #PIC = dpic -1 -p
@@ -59,6 +59,7 @@
 DOC = examples
 PICS = \
   Adder.tex Alogix.tex ABlogix.tex AmpTable.tex Antennas.tex Audio.tex \
+  AntiqueClock.tex \
   Bip.tex Btree.tex Byte.tex Buttons.tex \
   CanLogic.tex CctTable.tex Conn.tex Counting.tex Crossbar.tex Crow.tex \
   Csource.tex \
@@ -93,6 +94,7 @@
 BOXDIMS = ex09 Crow Incleps Loglog Opamp random Ttree Windings
 
 DVIPSOPTS = -Ppdf -G0 -t letter
+DVIPSOPTS = -G0 -t letter
 M4LIBS = $(CONFIGFILE) $(CUSTOM)
 DIMFILE = $(DOC).dim
 BS = tr '|' '\134'
@@ -132,7 +134,8 @@
 	latex F_$*
 .m4.eps:
 	make $*.dvi
-	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
+	dvips F_$* -T128cm,28cm -o $*.ps
+#	dvips -Ppdf F_$* -T128cm,28cm -o $*.ps
 # Recent changes to PSTricks(?) have clashed with the use of TeXtoEPS
 #  so use ps2epsi
 	ps2epsi $*.ps $*.epsi
