=== examples/mpost/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 DOC = examplesmpost
 FIGS = Adder.1 Alogix.1 ABlogix.1 Antennas.1 AmpTable.1 Audio.1 \
+  AntiqueClock.1 \
   Bip.1 Btree.1 Byte.1 Buttons.1 \
   Counting.1 Crossbar.1 Crow.1 Csource.1 CanLogic.1 CctTable.1 Conn.1 \
   Decoder.1 Demultiplexer.1 Dini.1 Diodes.1 Drive.1 \
