=== examples/psfrag/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 DOC = examplespsfrag
 
 FIGS = Adder.eps Alogix.eps ABlogix.eps Antennas.eps Audio.eps AmpTable.eps \
+  AntiqueClock.eps \
   Bip.eps Btree.eps Byte.eps Buttons.eps \
   CanLogic.eps CctTable.eps Conn.eps Counting.eps Crossbar.eps Crow.eps \
   Decoder.eps Demultiplexer.eps Dini.eps Diodes.eps Drive.eps \
