=== examples/svg/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 CCTSVG = \
  AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
- AudioSVG.svg \
+ AntiqueClockSVG.svg \ AudioSVG.svg \
  BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
  CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg CountingSVG.svg CrossbarSVG.svg \
  CrowSVG.svg CrullerSVG.svg CsourceSVG.svg \
@@ -54,7 +54,9 @@
 
 SED = sed -e '/^\%/d'
 TEST = test
-tst: $(TEST).pic
+tst:
+	if test -f test.pic; then printf "\n\nUsage: make clean tst\n\n"; exit 1; fi
+	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
 	$(DPIC) -v $(TEST).pic > $(TEST).svg
 	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
 	$(DPIC) -v $(TEST).pic > $(TEST).svg
@@ -63,6 +65,7 @@
 	make tstSVG.html
 
 test.pic:
+	if test -f test.pic ; then echo "Usage: make clean tst" ; fi
 	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
 
 tstSVG.html: tstSVG.htmx $(TEST).svg
@@ -73,6 +76,13 @@
 #	cp tstSVG.html $(TEST) $$HOME/public_html/svg
 
 xst: Incleps.png
+
+AntiqueClockSVG.svg:
+	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
+	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
+	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
+	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
+	grep '<\!-- width' AntiqueClockSVG.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > AntiqueClockSVG.siz
 
 InclepsSVG.svg: InclepsSVG.m4
 	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
