=== debian/changelog ===
circuit-macros (9.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Update d/copyright year from 2019 to 2020.

 -- Aniol Marti <amarti@caliu.cat>  Sun, 05 Jan 2020 17:07:31 +0000

circuit-macros (9.1.2-2) unstable; urgency=medium

  * Set "Multi-Arch: foreign".

 -- Aniol Marti <amarti@caliu.cat>  Mon, 30 Dec 2019 07:15:18 +0000
