=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 Package: circuit-macros
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          m4
 Recommends: dpic | groff-base
