## circuit-macros 9.2.0

=== debian/changelog ===
circuit-macros (9.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Add upstream information in d/upstream/metadata.
  * Update Debian Standards from 4.4.1 to 4.5.0.

 -- Aniol Marti <amarti@caliu.cat>  Mon, 17 Feb 2020 18:36:12 +0000
