## circuit-macros 9.2.1

=== doc/Makefile ===
--- 
+++ 
@@ -5,31 +5,29 @@
 DOCSRC = Circuit_macros.tex body.tex defines.tex
 
 PICTEX = \
-  AmpTable.tex Antennas.tex Audio.tex Axes.tex \
-  Buffer.tex BigResistor.tex Bip.tex \
-  CctTable.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex Conn.tex \
-  Corners.tex \
-  Dac.tex Darlington.tex Demultiplexer.tex Diodes.tex \
-  Emarrows.tex FF.tex FlipFlop.tex \
-  Flowdiag.tex Fuses.tex Grounds.tex \
-  Headers.tex HybridPi.tex Jack.tex \
-  Logic.tex Loop.tex Multiplexer.tex NPDT.tex NLG.tex Nport.tex \
-  Oblique.tex Opamp.tex Opto.tex \
-  ParSeries.tex Pconn.tex Potentiometers.tex Relay.tex \
-  Series.tex ShiftR.tex Sinus.tex Sources.tex Switches.tex \
-  Taps.tex Tgate.tex Thermal.tex Tline.tex Ttree.tex \
-  Variable.tex Xform.tex Windings.tex Workflow.tex \
-  bitr.tex bi_trans.tex \
-  bistable.tex currents.tex eboxdims.tex fbfilter.tex fet.tex \
-  lrarrows.tex mplex.tex oax.tex \
-  quick.tex stringdims.tex thyristor.tex ujt.tex woodchips.tex
+  AmpTableMan.tex AntennasMan.tex AudioMan.tex Axes.tex \
+  Buffer.tex BigResistor.tex BipMan.tex \
+  CctTableMan.tex Composite.tex ConfigA.tex ConfigB.tex ConfigC.tex \
+  ConnMan.tex Corners.tex ContactMan.tex ContactsMan.tex \
+  Dac.tex Darlington.tex DemultiplexerMan.tex DiodesMan.tex \
+  EmarrowsMan.tex FF.tex FlipFlop.tex Flowdiag.tex FusesMan.tex \
+  GroundsMan.tex HeadersMan.tex HybridPi.tex JackMan.tex LogicMan.tex \
+  Loop.tex MultiplexerMan.tex NPDTMan.tex NLGMan.tex NportMan.tex \
+  Oblique.tex OpampMan.tex Opto.tex ParSeries.tex PconnMan.tex \
+  Potentiometers.tex RelayMan.tex relaycoil.tex Series.tex ShiftRMan.tex \
+  Sinus.tex SourcesMan.tex SwitchesMan.tex Taps.tex TgateMan.tex \
+  Thermal.tex Tline.tex Ttree.tex VariableMan.tex XformMan.tex \
+  WindingsMan.tex Workflow.tex bitr.tex bi_trans.tex bistable.tex \
+  currents.tex eboxdims.tex fbfilter.tex fetMan.tex lrarrows.tex \
+  mplex.tex oax.tex quick.tex stringdims.tex thyristorMan.tex ujtMan.tex \
+  woodchips.tex
 
 VERBATIM = BigResistor2.verb eboxdims.verb
-BOXDIMS = Antennas.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
+BOXDIMS = AntennasMan.tex bi_trans.tex ConfigA.tex ConfigB.tex ConfigC.tex \
   Corners.tex \
   Dac.tex eboxdims.tex FlipFlop.tex \
-  Opamp.tex ParSeries.tex Sinus.tex stringdims.tex Ttree.tex \
-  Windings.tex woodchips.tex
+  OpampMan.tex ParSeries.tex Sinus.tex stringdims.tex Ttree.tex \
+  WindingsMan.tex woodchips.tex
 # BOXDIMS = $(PICTEX)
 
 LATEX = latex
@@ -64,13 +62,15 @@
 	$(M4) $(M4LIBS) $(DOC).dim $*.m4 > $*.pic
 	($(PRE) $(PIC) $*.pic $(POST)) > $*.tex
 
-CMpdf:
+$(DOC).pdf:
 	touch mode.tex
 	-if grep -q tikz mode.tex ; then true ; else \
            make clean ; printf "\\usepackage{tikz}\n" > mode.tex ; fi
 	make MODE=pgf PIC="dpic -g" LATEX=pdflatex SFX=pdf \
          POST="; printf '\\\\vspace*{-0.5\\\\baselineskip}\\n'" \
          $(DOC).pdf
+#  This breaks internal links:
+#	optpdf $(DOC).pdf
 	chmod 644 $(DOC).pdf
 	
 $(DOC).ps:
@@ -134,7 +134,6 @@
 
 clobber: clean
 	rm -f *.dvi Circuit_macros.pdf
-#	rm -f Circuit_macros.pdf
 
 clean:
 	rm -f *.bbl *.log *.aux *.blg *.toc citations *.verb ex08.m4
