=== examples/Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 #PIC = /cygdrive/d/Dwight/dpic/p2c/Windows/dpic -p
 #PIC = dpic -1 -p
 #PIC = $$HOME/dpic/build/test/dpic -p
+#PIC = $$HOME/dpic/dev/p2c/ftp/dpic -p
 #PIC = $$HOME/tmp/dpic -p
 #PIC = $$HOME/dpic/bison/dpic -p
 #PIC = $$HOME/dpic/bdev/dpic -p
@@ -58,40 +59,30 @@
 
 DOC = examples
 PICS = \
-  Adder.tex Alogix.tex ABlogix.tex AmpTable.tex Antennas.tex Audio.tex \
-  AntiqueClock.tex \
-  Bip.tex Btree.tex Byte.tex Buttons.tex \
-  CanLogic.tex CctTable.tex Conn.tex Counting.tex Crossbar.tex Crow.tex \
-  Csource.tex \
-  Decoder.tex Demultiplexer.tex Dini.tex Diodes.tex Drive.tex \
-  Emarrows.tex Flow.tex Fuses.tex GrayCode.tex Grounds.tex \
-  Headers.tex Heathkit.tex \
-  I2L.tex Incleps.tex Jack.tex \
-  Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex Multiplexer.tex \
-  NLG.tex NPDT.tex Nport.tex \
-  Opamp.tex Optoiso.tex Pconn.tex PushPull.tex \
-  Quantum.tex Rectifiers.tex Relay.tex Rotbox.tex \
-  Schottky.tex ShiftR.tex Sierpinski.tex Sixpole.tex Sources.tex SQUID.tex \
-  Switches.tex \
-  TTLnand.tex Tgate.tex Three.tex Timer.tex Ttree.tex Tubediags.tex \
-  Variable.tex Windings.tex Xform.tex \
-  control.tex csc.tex diamond.tex \
-  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex \
-  ex08.tex ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex \
-  ex16.tex ex17.tex ex18.tex ex21.tex exp.tex fet.tex \
-  graysurf.tex lcct.tex pwrsupply.tex quick.tex \
-  random.tex recycle.tex rose.tex \
-  sfg.tex shapes.tex thyristor.tex ujt.tex worm.tex XOR.tex
-
-# From the doc directory:
-MANFIGS = AmpTable Antennas Audio Bip CctTable Conn Demultiplexer Diodes \
-  Emarrows Fuses \
-  Grounds Headers Jack Logic Multiplexer NLG NPDT Nport Opamp Pconn \
-  Relay ShiftR Sources Switches \
-  Tgate Variable Windings Xform fet quick thyristor ujt
+  ABlogix.tex Adder.tex Alogix.tex AmpTable.tex Antennas.tex \
+  AntiqueClock.tex Audio.tex Bip.tex Btree.tex Buttons.tex Byte.tex \
+  CanLogic.tex CctTable.tex Conn.tex Contacts.tex Contact.tex control.tex \
+  Counting.tex Crossbar.tex Crow.tex csc.tex Csource.tex Decoder.tex \
+  Demultiplexer.tex diamond.tex Dini.tex Diodes.tex Drive.tex Emarrows.tex \
+  ex00.tex ex01.tex ex02.tex ex03.tex ex04.tex ex05.tex ex06.tex ex08.tex \
+  ex09.tex ex10.tex ex11.tex ex12.tex ex15.tex ex16.tex ex17.tex ex18.tex \
+  ex21.tex exp.tex fet.tex Flow.tex Fuses.tex GrayCode.tex graysurf.tex \
+  Grounds.tex Headers.tex Heathkit.tex I2L.tex Incleps.tex Jack.tex \
+  lcct.tex Logic.tex Loglog.tex MC.tex Mixer.tex MotorControl.tex \
+  Multiplexer.tex NLG.tex NPDT.tex Nport.tex Opamp.tex Optoiso.tex \
+  Pconn.tex PushPull.tex pwrsupply.tex Quantum.tex quick.tex random.tex \
+  Rectifiers.tex recycle.tex relaycoil.tex Relay.tex rose.tex Rotbox.tex \
+  Schottky.tex sfg.tex shapes.tex ShiftR.tex Sierpinski.tex Sixpole.tex \
+  Sources.tex SQUID.tex Switches.tex \
+  Tgate.tex Three.tex thyristor.tex Timer.tex \
+  TTLnand.tex Ttree.tex Tubediags.tex ujt.tex Variable.tex Windings.tex \
+  worm.tex Xform.tex XOR.tex
 
 # Files that have to be processed twice:
-BOXDIMS = ex09 Crow Incleps Loglog Opamp random Ttree Windings
+BOXDIMS = ex09.tex Crow.tex Incleps.tex Loglog.tex Opamp.tex random.tex \
+ Ttree.tex Windings.tex
+BOXPICS = ex09.pic Crow.pic Incleps.pic Loglog.pic Opamp.pic random.pic \
+ Ttree.pic Windings.pic
 
 DVIPSOPTS = -Ppdf -G0 -t letter
 DVIPSOPTS = -G0 -t letter
@@ -108,8 +99,10 @@
 	chmod 644 $*.ps
 .m4.tex:
 	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi ; touch F_$*.dim
-	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
-	$(PIC) $*.pic > $*.tex
+	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' \
+      | $(PIC) > $*.tex
+#	$(M4) $(M4LIBS) $(DIMFILE) F_$*.dim $*.m4 | sed -e '/^ *$$/d' > $*.pic
+#	$(PIC) $*.pic > $*.tex
 #	grep Production dpic.log >> newp.txt
 .m4.pic:
 	@if test -n "$(DIMFILE)" ; then touch $(DIMFILE) ; fi
@@ -180,16 +173,16 @@
 
 $(DOC).pdf: clean pdfmode $(DOC).frp
 	touch $(DOC).dim
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
-      done
+	rm -f $(BOXDIMS) $(BOXPICS)
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	pdflatex $(DOC)
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim $${file}.tex ; \
-      done
+	rm -f $(BOXDIMS) $(BOXPICS)
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	pdflatex $(DOC)
+	optpdf $(DOC).pdf
+
+pics: $(PICS)
+	touch pics
 
 $(DOC).ps: psmode $(DOC).dvi
 
@@ -199,30 +192,24 @@
 pdfmode:
 	printf "|usepackage{tikz}\n" | $(BS) > mode.tex
 
-doclinks:
-	-for nm in $(MANFIGS) ; do cp $(LIBDIR)/doc/$$nm.m4 . ; done
-	touch doclinks
-
 $(DOC).dvi: $(DOC).frs
 	touch $(DOC).dim
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
+	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
+	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	latex $(DOC)
-	for file in $(BOXDIMS) ; do \
-      rm -f $$file.tex $$file.pic ; \
-      make PIC="$(PIC) -p" DIMFILE=$(DOC).dim $${file}.tex ; done
+	for file in $(BOXDIMS) ; do rm -f $$file.tex $$file.pic ; done
+	make PIC="$(PIC)" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	latex $(DOC)
 
-$(DOC).frs: doclinks $(DOC).tex files.tex header.tex psmode
-	make $(PICS)
+$(DOC).frs: $(DOC).tex files.tex header.tex psmode
+	make PIC="dpic -p" CONFIGFILE=pstricks.m4 DIMFILE=$(DOC).dim pics
 	cp $(LIBDIR)/doc/Version.tex .
 	latex $(DOC)
+	rm -f $(DOC).dvi
 	touch $(DOC).frs
-	rm -f $(DOC).dvi
-
-$(DOC).frp: doclinks $(DOC).tex files.tex header.tex pdfmode
-	make CONFIGFILE=pgf.m4 PIC="$(PIC) -g" $(PICS)
+
+$(DOC).frp: $(DOC).tex files.tex header.tex pdfmode
+	make PIC="dpic -g" CONFIGFILE=pgf.m4 DIMFILE=$(DOC).dim pics
 	cp $(LIBDIR)/doc/Version.tex .
 	pdflatex $(DOC)
 	rm -f $(DOC).pdf
@@ -250,7 +237,8 @@
 	rm -f *.ps
 	-@for dir in mf mpost pdflatex xfig psfrag pgf svg dev test; \
       do (if test -d $$dir ; then cd $$dir; make clobber; fi) ; done
-	rm -f *.warn quick.m4
+	rm -f *.warn
+	rm -f examples.pdf
 	rm -rf index.html html basenames *.png* dist zips htmlfiles svgfiles
 	rm -rf $(TMP)/Cir* $(ECETMP)/Cir* $(ECEDIR)
 	if test -f Incl.pdf ; then \
@@ -262,13 +250,12 @@
 
 clean:
 	@printf "\n examples clean:\n"
-	rm -f core examples.pdf boxdims.tar.gz
+	rm -f core boxdims.tar.gz pics
 	rm -f *.dvi *.aux *.log *.toc *.blg *.eps *.tif *.epsi eps *-mfpic*
 	rm -f fig*.tex $(PICS) *.roff *.int *.pic gpic.m4 test.tex xxx* *.fig
 	rm -f *.dim *.bak *.frs *.frp $(RPICS) rotate.ps tst.ps *.bbl *-pics.ps
 	rm -f *.tfm *[0-9]pk *.png *.1 *.gif
-	rm -f F_* Version.tex doclinks *stackdump *.ico quick.m4
-	for nm in $(MANFIGS) ; do rm -f $$nm.* ; done
+	rm -f F_* Version.tex *stackdump *.ico
 	rm -rf distfile distfile.tar.gz mode.tex
 	@printf "\n"
 	@if test -f distmakefile ; then make -f distmakefile clean ; fi
