=== examples/mpost/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
   Logic.1 Loglog.1 MC.1 Mixer.1 MotorControl.1 Multiplexer.1 \
   NLG.1 NPDT.1 Nport.1 \
   Opamp.1 Optoiso.1 Pconn.1 PushPull.1 Quantum.1 \
-  Rectifiers.1 Relay.1 Rotbox.1 \
+  Rectifiers.1 Relay.1 relaycoil.1 Rotbox.1 \
   Schottky.1 Sierpinski.1 ShiftR.1 Sixpole.1 Sources.1 SQUID.1 Switches.1 \
   Tgate.1 Three.1 Timer.1 TTLnand.1 Ttree.1 Tubediags.1 \
   Variable.1 Windings.1 Xform.1 \
