=== examples/psfrag/Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
   ex05.eps ex06.eps ex08.eps ex09.eps ex10.eps ex11.eps ex12.eps \
   ex15.eps ex16.eps ex17.eps ex18.eps ex21.eps exp.eps \
   fet.eps graysurf.eps lcct.eps pwrsupply.eps quick.eps \
-  random.eps recycle.eps rose.eps sfg.eps shapes.eps thyristor.eps \
-  ujt.eps worm.eps
+  random.eps recycle.eps relaycoil.eps rose.eps sfg.eps shapes.eps \
+  thyristor.eps ujt.eps worm.eps
 
 LOCALFIGS = ex21
