=== debian/changelog ===
circuit-macros (9.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 22 Feb 2020 10:20:58 +0000
