=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Aniol Marti <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 12),
                jdupes
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://ece.uwaterloo.ca/~aplevich/Circuit_macros
 Vcs-Browser: https://salsa.debian.org/debian/circuit-macros
 Vcs-Git: https://salsa.debian.org/debian/circuit-macros.git
